<!--SIF Implementation Specification UK 1.1-4 (September 18, 2009)-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" targetNamespace="http://www.sifinfo.org/uk/infrastructure/2.x" xmlns:sif="http://www.sifinfo.org/uk/infrastructure/2.x" elementFormDefault="qualified">
  <xs:import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="imports/xml/xml.xsd" />
  <xs:simpleType name="teachernetEthnicityCodeType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="WENG" />
      <xs:enumeration value="WSCO" />
      <xs:enumeration value="WWEL" />
      <xs:enumeration value="WOWB" />
      <xs:enumeration value="WIRI" />
      <xs:enumeration value="WIRT" />
      <xs:enumeration value="WOTH" />
      <xs:enumeration value="WALB" />
      <xs:enumeration value="WBOS" />
      <xs:enumeration value="WCRO" />
      <xs:enumeration value="WGRE" />
      <xs:enumeration value="WGRK" />
      <xs:enumeration value="WGRC" />
      <xs:enumeration value="WITA" />
      <xs:enumeration value="WKOS" />
      <xs:enumeration value="WPOR" />
      <xs:enumeration value="WSER" />
      <xs:enumeration value="WTUR" />
      <xs:enumeration value="WTUK" />
      <xs:enumeration value="WTUC" />
      <xs:enumeration value="WEUR" />
      <xs:enumeration value="WEEU" />
      <xs:enumeration value="WWEU" />
      <xs:enumeration value="WOTW" />
      <xs:enumeration value="WROM" />
      <xs:enumeration value="MWBC" />
      <xs:enumeration value="MWBA" />
      <xs:enumeration value="MWAS" />
      <xs:enumeration value="MWAP" />
      <xs:enumeration value="MWAI" />
      <xs:enumeration value="MWAO" />
      <xs:enumeration value="MOTH" />
      <xs:enumeration value="MAOE" />
      <xs:enumeration value="MABL" />
      <xs:enumeration value="MACH" />
      <xs:enumeration value="MBOE" />
      <xs:enumeration value="MBCH" />
      <xs:enumeration value="MCOE" />
      <xs:enumeration value="MWOE" />
      <xs:enumeration value="MWCH" />
      <xs:enumeration value="MOTM" />
      <xs:enumeration value="AIND" />
      <xs:enumeration value="APKN" />
      <xs:enumeration value="AMPK" />
      <xs:enumeration value="AKPA" />
      <xs:enumeration value="AOPK" />
      <xs:enumeration value="ABAN" />
      <xs:enumeration value="AOTH" />
      <xs:enumeration value="AAFR" />
      <xs:enumeration value="AKAO" />
      <xs:enumeration value="ANEP" />
      <xs:enumeration value="ASNL" />
      <xs:enumeration value="ASLT" />
      <xs:enumeration value="AOTA" />
      <xs:enumeration value="BCRB" />
      <xs:enumeration value="BAFR" />
      <xs:enumeration value="BANN" />
      <xs:enumeration value="BCON" />
      <xs:enumeration value="BGHA" />
      <xs:enumeration value="BNGN" />
      <xs:enumeration value="BSLN" />
      <xs:enumeration value="BSOM" />
      <xs:enumeration value="BSUD" />
      <xs:enumeration value="BAOF" />
      <xs:enumeration value="BOTH" />
      <xs:enumeration value="BEUR" />
      <xs:enumeration value="BNAM" />
      <xs:enumeration value="BOTB" />
      <xs:enumeration value="CHNE" />
      <xs:enumeration value="CHKC" />
      <xs:enumeration value="CMAL" />
      <xs:enumeration value="CSNG" />
      <xs:enumeration value="CTWN" />
      <xs:enumeration value="COCH" />
      <xs:enumeration value="OOTH" />
      <xs:enumeration value="OAFG" />
      <xs:enumeration value="OARA" />
      <xs:enumeration value="OEGY" />
      <xs:enumeration value="OFIL" />
      <xs:enumeration value="OIRN" />
      <xs:enumeration value="OIRQ" />
      <xs:enumeration value="OJPN" />
      <xs:enumeration value="OKOR" />
      <xs:enumeration value="OKRD" />
      <xs:enumeration value="OLAM" />
      <xs:enumeration value="OLEB" />
      <xs:enumeration value="OLIB" />
      <xs:enumeration value="OMAL" />
      <xs:enumeration value="OMRC" />
      <xs:enumeration value="OPOL" />
      <xs:enumeration value="OTHA" />
      <xs:enumeration value="OVIE" />
      <xs:enumeration value="OYEM" />
      <xs:enumeration value="OOEG" />
      <xs:enumeration value="REFU" />
      <xs:enumeration value="NOBT" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="teachernetChurchOfEnglandDioceseType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="BAT" />
      <xs:enumeration value="BIR" />
      <xs:enumeration value="BLA" />
      <xs:enumeration value="BRA" />
      <xs:enumeration value="BRI" />
      <xs:enumeration value="CAN" />
      <xs:enumeration value="CAR" />
      <xs:enumeration value="CHE" />
      <xs:enumeration value="CHS" />
      <xs:enumeration value="CHI" />
      <xs:enumeration value="COV" />
      <xs:enumeration value="DER" />
      <xs:enumeration value="DUR" />
      <xs:enumeration value="ELY" />
      <xs:enumeration value="EXE" />
      <xs:enumeration value="GLO" />
      <xs:enumeration value="GUI" />
      <xs:enumeration value="HER" />
      <xs:enumeration value="LEI" />
      <xs:enumeration value="LIC" />
      <xs:enumeration value="LIN" />
      <xs:enumeration value="LIV" />
      <xs:enumeration value="LON" />
      <xs:enumeration value="MAN" />
      <xs:enumeration value="NEW" />
      <xs:enumeration value="NOR" />
      <xs:enumeration value="OXF" />
      <xs:enumeration value="PET" />
      <xs:enumeration value="POR" />
      <xs:enumeration value="RIP" />
      <xs:enumeration value="ROC" />
      <xs:enumeration value="STA" />
      <xs:enumeration value="STE" />
      <xs:enumeration value="SAL" />
      <xs:enumeration value="SHE" />
      <xs:enumeration value="SOD" />
      <xs:enumeration value="SOU" />
      <xs:enumeration value="SOW" />
      <xs:enumeration value="TRU" />
      <xs:enumeration value="WAK" />
      <xs:enumeration value="WIN" />
      <xs:enumeration value="WOR" />
      <xs:enumeration value="YOR" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="teachernetLAIdType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="001" />
      <xs:enumeration value="002" />
      <xs:enumeration value="003" />
      <xs:enumeration value="004" />
      <xs:enumeration value="005" />
      <xs:enumeration value="201" />
      <xs:enumeration value="202" />
      <xs:enumeration value="203" />
      <xs:enumeration value="204" />
      <xs:enumeration value="205" />
      <xs:enumeration value="206" />
      <xs:enumeration value="207" />
      <xs:enumeration value="208" />
      <xs:enumeration value="209" />
      <xs:enumeration value="210" />
      <xs:enumeration value="211" />
      <xs:enumeration value="212" />
      <xs:enumeration value="213" />
      <xs:enumeration value="301" />
      <xs:enumeration value="302" />
      <xs:enumeration value="303" />
      <xs:enumeration value="304" />
      <xs:enumeration value="305" />
      <xs:enumeration value="306" />
      <xs:enumeration value="307" />
      <xs:enumeration value="308" />
      <xs:enumeration value="309" />
      <xs:enumeration value="310" />
      <xs:enumeration value="311" />
      <xs:enumeration value="312" />
      <xs:enumeration value="313" />
      <xs:enumeration value="314" />
      <xs:enumeration value="315" />
      <xs:enumeration value="316" />
      <xs:enumeration value="317" />
      <xs:enumeration value="318" />
      <xs:enumeration value="319" />
      <xs:enumeration value="320" />
      <xs:enumeration value="330" />
      <xs:enumeration value="331" />
      <xs:enumeration value="332" />
      <xs:enumeration value="333" />
      <xs:enumeration value="334" />
      <xs:enumeration value="335" />
      <xs:enumeration value="336" />
      <xs:enumeration value="340" />
      <xs:enumeration value="341" />
      <xs:enumeration value="342" />
      <xs:enumeration value="343" />
      <xs:enumeration value="344" />
      <xs:enumeration value="350" />
      <xs:enumeration value="351" />
      <xs:enumeration value="352" />
      <xs:enumeration value="353" />
      <xs:enumeration value="354" />
      <xs:enumeration value="355" />
      <xs:enumeration value="356" />
      <xs:enumeration value="357" />
      <xs:enumeration value="358" />
      <xs:enumeration value="359" />
      <xs:enumeration value="370" />
      <xs:enumeration value="371" />
      <xs:enumeration value="372" />
      <xs:enumeration value="373" />
      <xs:enumeration value="380" />
      <xs:enumeration value="381" />
      <xs:enumeration value="382" />
      <xs:enumeration value="383" />
      <xs:enumeration value="384" />
      <xs:enumeration value="390" />
      <xs:enumeration value="391" />
      <xs:enumeration value="392" />
      <xs:enumeration value="393" />
      <xs:enumeration value="394" />
      <xs:enumeration value="420" />
      <xs:enumeration value="600" />
      <xs:enumeration value="601" />
      <xs:enumeration value="602" />
      <xs:enumeration value="603" />
      <xs:enumeration value="604" />
      <xs:enumeration value="605" />
      <xs:enumeration value="606" />
      <xs:enumeration value="607" />
      <xs:enumeration value="608" />
      <xs:enumeration value="609" />
      <xs:enumeration value="610" />
      <xs:enumeration value="611" />
      <xs:enumeration value="612" />
      <xs:enumeration value="613" />
      <xs:enumeration value="614" />
      <xs:enumeration value="615" />
      <xs:enumeration value="616" />
      <xs:enumeration value="617" />
      <xs:enumeration value="618" />
      <xs:enumeration value="619" />
      <xs:enumeration value="620" />
      <xs:enumeration value="621" />
      <xs:enumeration value="622" />
      <xs:enumeration value="623" />
      <xs:enumeration value="624" />
      <xs:enumeration value="625" />
      <xs:enumeration value="626" />
      <xs:enumeration value="627" />
      <xs:enumeration value="628" />
      <xs:enumeration value="629" />
      <xs:enumeration value="630" />
      <xs:enumeration value="631" />
      <xs:enumeration value="632" />
      <xs:enumeration value="633" />
      <xs:enumeration value="660" />
      <xs:enumeration value="661" />
      <xs:enumeration value="662" />
      <xs:enumeration value="663" />
      <xs:enumeration value="664" />
      <xs:enumeration value="665" />
      <xs:enumeration value="666" />
      <xs:enumeration value="667" />
      <xs:enumeration value="668" />
      <xs:enumeration value="669" />
      <xs:enumeration value="670" />
      <xs:enumeration value="671" />
      <xs:enumeration value="672" />
      <xs:enumeration value="673" />
      <xs:enumeration value="674" />
      <xs:enumeration value="675" />
      <xs:enumeration value="676" />
      <xs:enumeration value="677" />
      <xs:enumeration value="678" />
      <xs:enumeration value="679" />
      <xs:enumeration value="680" />
      <xs:enumeration value="681" />
      <xs:enumeration value="701" />
      <xs:enumeration value="702" />
      <xs:enumeration value="703" />
      <xs:enumeration value="704" />
      <xs:enumeration value="705" />
      <xs:enumeration value="706" />
      <xs:enumeration value="707" />
      <xs:enumeration value="708" />
      <xs:enumeration value="800" />
      <xs:enumeration value="801" />
      <xs:enumeration value="802" />
      <xs:enumeration value="803" />
      <xs:enumeration value="805" />
      <xs:enumeration value="806" />
      <xs:enumeration value="807" />
      <xs:enumeration value="808" />
      <xs:enumeration value="810" />
      <xs:enumeration value="811" />
      <xs:enumeration value="812" />
      <xs:enumeration value="813" />
      <xs:enumeration value="815" />
      <xs:enumeration value="816" />
      <xs:enumeration value="820" />
      <xs:enumeration value="821" />
      <xs:enumeration value="825" />
      <xs:enumeration value="826" />
      <xs:enumeration value="830" />
      <xs:enumeration value="831" />
      <xs:enumeration value="835" />
      <xs:enumeration value="836" />
      <xs:enumeration value="837" />
      <xs:enumeration value="840" />
      <xs:enumeration value="841" />
      <xs:enumeration value="845" />
      <xs:enumeration value="846" />
      <xs:enumeration value="850" />
      <xs:enumeration value="851" />
      <xs:enumeration value="852" />
      <xs:enumeration value="855" />
      <xs:enumeration value="856" />
      <xs:enumeration value="857" />
      <xs:enumeration value="860" />
      <xs:enumeration value="861" />
      <xs:enumeration value="865" />
      <xs:enumeration value="866" />
      <xs:enumeration value="867" />
      <xs:enumeration value="868" />
      <xs:enumeration value="869" />
      <xs:enumeration value="870" />
      <xs:enumeration value="871" />
      <xs:enumeration value="872" />
      <xs:enumeration value="873" />
      <xs:enumeration value="874" />
      <xs:enumeration value="875" />
      <xs:enumeration value="876" />
      <xs:enumeration value="877" />
      <xs:enumeration value="878" />
      <xs:enumeration value="879" />
      <xs:enumeration value="880" />
      <xs:enumeration value="881" />
      <xs:enumeration value="882" />
      <xs:enumeration value="883" />
      <xs:enumeration value="884" />
      <xs:enumeration value="885" />
      <xs:enumeration value="886" />
      <xs:enumeration value="887" />
      <xs:enumeration value="888" />
      <xs:enumeration value="889" />
      <xs:enumeration value="890" />
      <xs:enumeration value="891" />
      <xs:enumeration value="892" />
      <xs:enumeration value="893" />
      <xs:enumeration value="894" />
      <xs:enumeration value="901" />
      <xs:enumeration value="902" />
      <xs:enumeration value="903" />
      <xs:enumeration value="904" />
      <xs:enumeration value="905" />
      <xs:enumeration value="906" />
      <xs:enumeration value="907" />
      <xs:enumeration value="908" />
      <xs:enumeration value="909" />
      <xs:enumeration value="910" />
      <xs:enumeration value="911" />
      <xs:enumeration value="912" />
      <xs:enumeration value="913" />
      <xs:enumeration value="914" />
      <xs:enumeration value="915" />
      <xs:enumeration value="916" />
      <xs:enumeration value="917" />
      <xs:enumeration value="918" />
      <xs:enumeration value="919" />
      <xs:enumeration value="920" />
      <xs:enumeration value="921" />
      <xs:enumeration value="922" />
      <xs:enumeration value="923" />
      <xs:enumeration value="924" />
      <xs:enumeration value="925" />
      <xs:enumeration value="926" />
      <xs:enumeration value="927" />
      <xs:enumeration value="928" />
      <xs:enumeration value="929" />
      <xs:enumeration value="930" />
      <xs:enumeration value="931" />
      <xs:enumeration value="932" />
      <xs:enumeration value="933" />
      <xs:enumeration value="934" />
      <xs:enumeration value="935" />
      <xs:enumeration value="936" />
      <xs:enumeration value="937" />
      <xs:enumeration value="938" />
      <xs:enumeration value="939" />
      <xs:enumeration value="XXX" />
      <xs:enumeration value="MMM" />
      <xs:enumeration value="NAA" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="teachernetLANameType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="BELFAST EDUCATION AND LIBRARY BOARD" />
      <xs:enumeration value="WESTERN EDUCATION AND LIBRARY BOARD" />
      <xs:enumeration value="NORTH EASTERN EDUCATION AND LIBRARY BOARD" />
      <xs:enumeration value="SOUTH EASTERN EDUCATION AND LIBRARY BOARD" />
      <xs:enumeration value="SOUTHERN EDUCATION AND LIBRARY BOARD" />
      <xs:enumeration value="CITY OF LONDON" />
      <xs:enumeration value="CAMDEN" />
      <xs:enumeration value="GREENWICH" />
      <xs:enumeration value="HACKNEY" />
      <xs:enumeration value="HAMMERSMITH &amp; FULHAM" />
      <xs:enumeration value="ISLINGTON" />
      <xs:enumeration value="KENSINGTON &amp; CHELSEA" />
      <xs:enumeration value="LAMBETH" />
      <xs:enumeration value="LEWISHAM" />
      <xs:enumeration value="SOUTHWARK" />
      <xs:enumeration value="TOWER HAMLETS" />
      <xs:enumeration value="WANDSWORTH" />
      <xs:enumeration value="WESTMINSTER" />
      <xs:enumeration value="BARKING &amp; DAGENHAM" />
      <xs:enumeration value="BARNET" />
      <xs:enumeration value="BEXLEY" />
      <xs:enumeration value="BRENT" />
      <xs:enumeration value="BROMLEY" />
      <xs:enumeration value="CROYDON" />
      <xs:enumeration value="EALING" />
      <xs:enumeration value="ENFIELD" />
      <xs:enumeration value="HARINGEY" />
      <xs:enumeration value="HARROW" />
      <xs:enumeration value="HAVERING" />
      <xs:enumeration value="HILLINGDON" />
      <xs:enumeration value="HOUNSLOW" />
      <xs:enumeration value="KINGSTON UPON THAMES" />
      <xs:enumeration value="MERTON" />
      <xs:enumeration value="NEWHAM" />
      <xs:enumeration value="REDBRIDGE" />
      <xs:enumeration value="RICHMOND UPON THAMES" />
      <xs:enumeration value="SUTTON" />
      <xs:enumeration value="WALTHAM FOREST" />
      <xs:enumeration value="BIRMINGHAM" />
      <xs:enumeration value="COVENTRY" />
      <xs:enumeration value="DUDLEY" />
      <xs:enumeration value="SANDWELL" />
      <xs:enumeration value="SOLIHULL" />
      <xs:enumeration value="WALSALL" />
      <xs:enumeration value="WOLVERHAMPTON" />
      <xs:enumeration value="KNOWSLEY" />
      <xs:enumeration value="LIVERPOOL" />
      <xs:enumeration value="ST HELENS" />
      <xs:enumeration value="SEFTON" />
      <xs:enumeration value="WIRRAL" />
      <xs:enumeration value="BOLTON" />
      <xs:enumeration value="BURY" />
      <xs:enumeration value="MANCHESTER" />
      <xs:enumeration value="OLDHAM" />
      <xs:enumeration value="ROCHDALE" />
      <xs:enumeration value="SALFORD" />
      <xs:enumeration value="STOCKPORT" />
      <xs:enumeration value="TAMESIDE" />
      <xs:enumeration value="TRAFFORD" />
      <xs:enumeration value="WIGAN" />
      <xs:enumeration value="BARNSLEY" />
      <xs:enumeration value="DONCASTER" />
      <xs:enumeration value="ROTHERHAM" />
      <xs:enumeration value="SHEFFIELD" />
      <xs:enumeration value="BRADFORD" />
      <xs:enumeration value="CALDERDALE" />
      <xs:enumeration value="KIRKLEES" />
      <xs:enumeration value="LEEDS" />
      <xs:enumeration value="WAKEFIELD" />
      <xs:enumeration value="GATESHEAD" />
      <xs:enumeration value="NEWCASTLE UPON TYNE" />
      <xs:enumeration value="NORTH TYNESIDE" />
      <xs:enumeration value="SOUTH TYNESIDE" />
      <xs:enumeration value="SUNDERLAND" />
      <xs:enumeration value="ISLES OF SCILLY" />
      <xs:enumeration value="SCOTLAND" />
      <xs:enumeration value="ABERDEEN" />
      <xs:enumeration value="ABERDEENSHIRE" />
      <xs:enumeration value="ANGUS" />
      <xs:enumeration value="ARGYLL &amp; BUTE" />
      <xs:enumeration value="CLACKMANNANSHIRE" />
      <xs:enumeration value="DUMFRIES &amp; GALLOWAY" />
      <xs:enumeration value="DUNDEE" />
      <xs:enumeration value="EAST AYRSHIRE" />
      <xs:enumeration value="EAST DUNBARTONSHIRE" />
      <xs:enumeration value="EAST LOTHIAN" />
      <xs:enumeration value="EAST RENFREWSHIRE" />
      <xs:enumeration value="EDINBURGH" />
      <xs:enumeration value="EILEAN SIAR" />
      <xs:enumeration value="FALKIRK" />
      <xs:enumeration value="FIFE" />
      <xs:enumeration value="GLASGOW" />
      <xs:enumeration value="HIGHLAND" />
      <xs:enumeration value="INVERCLYDE" />
      <xs:enumeration value="MIDLOTHIAN" />
      <xs:enumeration value="MORAY" />
      <xs:enumeration value="NORTH AYRSHIRE" />
      <xs:enumeration value="NORTH LANARKSHIRE" />
      <xs:enumeration value="ORKNEY ISLANDS" />
      <xs:enumeration value="PERTH &amp; KINROSS" />
      <xs:enumeration value="RENFREWSHIRE" />
      <xs:enumeration value="SCOTTISH BORDERS" />
      <xs:enumeration value="SHETLAND ISLANDS" />
      <xs:enumeration value="SOUTH AYRSHIRE" />
      <xs:enumeration value="SOUTH LANARKSHIRE" />
      <xs:enumeration value="STIRLING" />
      <xs:enumeration value="WEST DUNBARTONSHIRE" />
      <xs:enumeration value="WEST LOTHIAN" />
      <xs:enumeration value="WESTERN ISLES" />
      <xs:enumeration value="ISLE OF ANGLESEY" />
      <xs:enumeration value="GWYNEDD" />
      <xs:enumeration value="CONWY" />
      <xs:enumeration value="DENBIGHSHIRE" />
      <xs:enumeration value="FLINTSHIRE" />
      <xs:enumeration value="WREXHAM" />
      <xs:enumeration value="POWYS" />
      <xs:enumeration value="CEREDIGION" />
      <xs:enumeration value="PEMBROKESHIRE" />
      <xs:enumeration value="CARMARTHENSHIRE" />
      <xs:enumeration value="SWANSEA" />
      <xs:enumeration value="NEATH PORT TALBOT" />
      <xs:enumeration value="BRIDGEND" />
      <xs:enumeration value="THE VALE OF GLAMORGAN" />
      <xs:enumeration value="RHONDDA CYNON TAFF" />
      <xs:enumeration value="MERTHYR TYDFIL" />
      <xs:enumeration value="CAERPHILLY" />
      <xs:enumeration value="BLAENAU GWENT" />
      <xs:enumeration value="TORFAEN" />
      <xs:enumeration value="MONMOUTHSHIRE" />
      <xs:enumeration value="NEWPORT" />
      <xs:enumeration value="CARDIFF" />
      <xs:enumeration value="SCOTLAND OFFSHORE ESTABLISHMENTS **" />
      <xs:enumeration value="SERVICE CHILDREN'S EDUCATION AUTHORITY" />
      <xs:enumeration value="OTHER OVERSEAS SCHOOLS" />
      <xs:enumeration value="SHELL SCHOOLS" />
      <xs:enumeration value="ISLE OF MAN" />
      <xs:enumeration value="GUERNSEY" />
      <xs:enumeration value="JERSEY" />
      <xs:enumeration value="GIBRALTAR" />
      <xs:enumeration value="BATH &amp; NORTH EAST SOMERSET" />
      <xs:enumeration value="BRISTOL" />
      <xs:enumeration value="NORTH SOMERSET" />
      <xs:enumeration value="SOUTH GLOUCESTERSHIRE" />
      <xs:enumeration value="HARTLEPOOL" />
      <xs:enumeration value="MIDDLESBROUGH" />
      <xs:enumeration value="REDCAR &amp; CLEVELAND" />
      <xs:enumeration value="STOCKTON-ON-TEES" />
      <xs:enumeration value="KINGSTON-UPON-HULL" />
      <xs:enumeration value="EAST RIDING OF YORKSHIRE" />
      <xs:enumeration value="NORTH EAST LINCOLNSHIRE" />
      <xs:enumeration value="NORTH LINCOLNSHIRE" />
      <xs:enumeration value="NORTH YORKSHIRE" />
      <xs:enumeration value="YORK" />
      <xs:enumeration value="BEDFORDSHIRE" />
      <xs:enumeration value="LUTON" />
      <xs:enumeration value="BUCKINGHAMSHIRE" />
      <xs:enumeration value="MILTON KEYNES" />
      <xs:enumeration value="DERBYSHIRE" />
      <xs:enumeration value="DERBY" />
      <xs:enumeration value="DORSET" />
      <xs:enumeration value="POOLE" />
      <xs:enumeration value="BOURNEMOUTH" />
      <xs:enumeration value="DURHAM" />
      <xs:enumeration value="DARLINGTON" />
      <xs:enumeration value="EAST SUSSEX" />
      <xs:enumeration value="BRIGHTON &amp; HOVE" />
      <xs:enumeration value="HAMPSHIRE" />
      <xs:enumeration value="PORTSMOUTH" />
      <xs:enumeration value="SOUTHAMPTON" />
      <xs:enumeration value="LEICESTERSHIRE" />
      <xs:enumeration value="LEICESTER" />
      <xs:enumeration value="RUTLAND" />
      <xs:enumeration value="STAFFORDSHIRE" />
      <xs:enumeration value="STOKE-ON-TRENT" />
      <xs:enumeration value="WILTSHIRE" />
      <xs:enumeration value="SWINDON" />
      <xs:enumeration value="BRACKNELL FOREST" />
      <xs:enumeration value="WINDSOR &amp; MAIDENHEAD" />
      <xs:enumeration value="WEST BERKSHIRE" />
      <xs:enumeration value="READING" />
      <xs:enumeration value="SLOUGH" />
      <xs:enumeration value="WOKINGHAM" />
      <xs:enumeration value="CAMBRIDGESHIRE" />
      <xs:enumeration value="PETERBOROUGH" />
      <xs:enumeration value="CHESHIRE" />
      <xs:enumeration value="HALTON" />
      <xs:enumeration value="WARRINGTON" />
      <xs:enumeration value="DEVON" />
      <xs:enumeration value="PLYMOUTH" />
      <xs:enumeration value="TORBAY" />
      <xs:enumeration value="ESSEX" />
      <xs:enumeration value="SOUTHEND-ON-SEA" />
      <xs:enumeration value="THURROCK" />
      <xs:enumeration value="HEREFORDSHIRE" />
      <xs:enumeration value="WORCESTERSHIRE" />
      <xs:enumeration value="KENT" />
      <xs:enumeration value="MEDWAY" />
      <xs:enumeration value="LANCASHIRE" />
      <xs:enumeration value="BLACKBURN WITH DARWEN" />
      <xs:enumeration value="BLACKPOOL" />
      <xs:enumeration value="NOTTINGHAMSHIRE" />
      <xs:enumeration value="NOTTINGHAM" />
      <xs:enumeration value="SHROPSHIRE" />
      <xs:enumeration value="TELFORD &amp; WREKIN" />
      <xs:enumeration value="AVON (PRE LGR)" />
      <xs:enumeration value="BEDFORDSHIRE (PRE LGR)" />
      <xs:enumeration value="BERKSHIRE (PRE LGR)" />
      <xs:enumeration value="BUCKINGHAMSHIRE (PRE LGR)" />
      <xs:enumeration value="CAMBRIDGESHIRE (PRE LGR)" />
      <xs:enumeration value="CHESHIRE (PRE LGR)" />
      <xs:enumeration value="CLEVELAND (PRE LGR)" />
      <xs:enumeration value="CORNWALL" />
      <xs:enumeration value="CUMBRIA" />
      <xs:enumeration value="DERBYSHIRE (PRE LGR)" />
      <xs:enumeration value="DEVON (PRE LGR)" />
      <xs:enumeration value="DORSET (PRE LGR)" />
      <xs:enumeration value="DURHAM (PRE LGR)" />
      <xs:enumeration value="EAST SUSSEX (PRE LGR)" />
      <xs:enumeration value="ESSEX (PRE LGR)" />
      <xs:enumeration value="GLOUCESTERSHIRE" />
      <xs:enumeration value="HAMPSHIRE (PRE LGR)" />
      <xs:enumeration value="HEREFORD AND WORCESTER (PRE LGR)" />
      <xs:enumeration value="HERTFORDSHIRE" />
      <xs:enumeration value="HUMBERSIDE (PRE LGR)" />
      <xs:enumeration value="ISLE OF WIGHT" />
      <xs:enumeration value="KENT (PRE LGR)" />
      <xs:enumeration value="LANCASHIRE (PRE LGR)" />
      <xs:enumeration value="LEICESTERSHIRE (PRE LGR)" />
      <xs:enumeration value="LINCOLNSHIRE" />
      <xs:enumeration value="NORFOLK" />
      <xs:enumeration value="NORTH YORKSHIRE (PRE LGR)" />
      <xs:enumeration value="NORTHAMPTONSHIRE" />
      <xs:enumeration value="NORTHUMBERLAND" />
      <xs:enumeration value="NOTTINGHAMSHIRE (PRE LGR)" />
      <xs:enumeration value="OXFORDSHIRE" />
      <xs:enumeration value="SHROPSHIRE (PRE LGR)" />
      <xs:enumeration value="SOMERSET" />
      <xs:enumeration value="STAFFORDSHIRE (PRE LGR)" />
      <xs:enumeration value="SUFFOLK" />
      <xs:enumeration value="SURREY" />
      <xs:enumeration value="WARWICKSHIRE" />
      <xs:enumeration value="WEST SUSSEX" />
      <xs:enumeration value="WILTSHIRE (PRE LGR)" />
      <xs:enumeration value="For CTF purposes where the LA is not known" />
      <xs:enumeration value="For CTF purposes where a school has left the maintained sector" />
      <xs:enumeration value="For transfer of TA and P Scales data for NAA via CTF" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="teachernetLanguagesType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="ACL" />
      <xs:enumeration value="ADA" />
      <xs:enumeration value="AFA" />
      <xs:enumeration value="AFK" />
      <xs:enumeration value="AKA" />
      <xs:enumeration value="AKAF" />
      <xs:enumeration value="AKAT" />
      <xs:enumeration value="ALB" />
      <xs:enumeration value="ALU" />
      <xs:enumeration value="AMR" />
      <xs:enumeration value="ARA" />
      <xs:enumeration value="ARAA" />
      <xs:enumeration value="ARAG" />
      <xs:enumeration value="ARAI" />
      <xs:enumeration value="ARAM" />
      <xs:enumeration value="ARAS" />
      <xs:enumeration value="ARAY" />
      <xs:enumeration value="ARM" />
      <xs:enumeration value="ASM" />
      <xs:enumeration value="ASR" />
      <xs:enumeration value="AYB" />
      <xs:enumeration value="AYM" />
      <xs:enumeration value="AZE" />
      <xs:enumeration value="BAI" />
      <xs:enumeration value="BAL" />
      <xs:enumeration value="BEJ" />
      <xs:enumeration value="BEL" />
      <xs:enumeration value="BEM" />
      <xs:enumeration value="BHO" />
      <xs:enumeration value="BIK" />
      <xs:enumeration value="BLT" />
      <xs:enumeration value="BMA" />
      <xs:enumeration value="BNG" />
      <xs:enumeration value="BNGA" />
      <xs:enumeration value="BNGC" />
      <xs:enumeration value="BNGS" />
      <xs:enumeration value="BSL" />
      <xs:enumeration value="BSQ" />
      <xs:enumeration value="BUL" />
      <xs:enumeration value="CAM" />
      <xs:enumeration value="CAT" />
      <xs:enumeration value="CCE" />
      <xs:enumeration value="CCF" />
      <xs:enumeration value="CGA" />
      <xs:enumeration value="CGR" />
      <xs:enumeration value="CHE" />
      <xs:enumeration value="CHI" />
      <xs:enumeration value="CHIA" />
      <xs:enumeration value="CHIC" />
      <xs:enumeration value="CHIH" />
      <xs:enumeration value="CHIK" />
      <xs:enumeration value="CHIM" />
      <xs:enumeration value="CKW" />
      <xs:enumeration value="CRN" />
      <xs:enumeration value="CTR" />
      <xs:enumeration value="CWA" />
      <xs:enumeration value="CYM" />
      <xs:enumeration value="CZE" />
      <xs:enumeration value="DAN" />
      <xs:enumeration value="DGA" />
      <xs:enumeration value="DGB" />
      <xs:enumeration value="DIN" />
      <xs:enumeration value="DUT" />
      <xs:enumeration value="DZO" />
      <xs:enumeration value="EBI" />
      <xs:enumeration value="EDO" />
      <xs:enumeration value="EFI" />
      <xs:enumeration value="ENB" />
      <xs:enumeration value="ENG" />
      <xs:enumeration value="ESA" />
      <xs:enumeration value="EST" />
      <xs:enumeration value="EWE" />
      <xs:enumeration value="EWO" />
      <xs:enumeration value="FAN" />
      <xs:enumeration value="FIJ" />
      <xs:enumeration value="FIN" />
      <xs:enumeration value="FON" />
      <xs:enumeration value="FRN" />
      <xs:enumeration value="FUL" />
      <xs:enumeration value="GAA" />
      <xs:enumeration value="GAE" />
      <xs:enumeration value="GAL" />
      <xs:enumeration value="GEO" />
      <xs:enumeration value="GER" />
      <xs:enumeration value="GGO" />
      <xs:enumeration value="GKY" />
      <xs:enumeration value="GLG" />
      <xs:enumeration value="GRE" />
      <xs:enumeration value="GREA" />
      <xs:enumeration value="GREC" />
      <xs:enumeration value="GRN" />
      <xs:enumeration value="GUJ" />
      <xs:enumeration value="GUN" />
      <xs:enumeration value="GUR" />
      <xs:enumeration value="HAU" />
      <xs:enumeration value="HDK" />
      <xs:enumeration value="HEB" />
      <xs:enumeration value="HER" />
      <xs:enumeration value="HGR" />
      <xs:enumeration value="HIN" />
      <xs:enumeration value="IBA" />
      <xs:enumeration value="IDM" />
      <xs:enumeration value="IGA" />
      <xs:enumeration value="IGB" />
      <xs:enumeration value="IJO" />
      <xs:enumeration value="ILO" />
      <xs:enumeration value="ISK" />
      <xs:enumeration value="ISL" />
      <xs:enumeration value="ITA" />
      <xs:enumeration value="ITAA" />
      <xs:enumeration value="ITAN" />
      <xs:enumeration value="ITAS" />
      <xs:enumeration value="JAV" />
      <xs:enumeration value="JIN" />
      <xs:enumeration value="JPN" />
      <xs:enumeration value="KAM" />
      <xs:enumeration value="KAN" />
      <xs:enumeration value="KAR" />
      <xs:enumeration value="KAS" />
      <xs:enumeration value="KAU" />
      <xs:enumeration value="KAZ" />
      <xs:enumeration value="KCH" />
      <xs:enumeration value="KGZ" />
      <xs:enumeration value="KHA" />
      <xs:enumeration value="KHY" />
      <xs:enumeration value="KIN" />
      <xs:enumeration value="KIR" />
      <xs:enumeration value="KIS" />
      <xs:enumeration value="KLN" />
      <xs:enumeration value="KMB" />
      <xs:enumeration value="KME" />
      <xs:enumeration value="KNK" />
      <xs:enumeration value="KNY" />
      <xs:enumeration value="KON" />
      <xs:enumeration value="KOR" />
      <xs:enumeration value="KPE" />
      <xs:enumeration value="KRI" />
      <xs:enumeration value="KRU" />
      <xs:enumeration value="KSI" />
      <xs:enumeration value="KSU" />
      <xs:enumeration value="KUR" />
      <xs:enumeration value="KURA" />
      <xs:enumeration value="KURM" />
      <xs:enumeration value="KURS" />
      <xs:enumeration value="LAO" />
      <xs:enumeration value="LBA" />
      <xs:enumeration value="LBAC" />
      <xs:enumeration value="LBAK" />
      <xs:enumeration value="LGA" />
      <xs:enumeration value="LGB" />
      <xs:enumeration value="LGS" />
      <xs:enumeration value="LIN" />
      <xs:enumeration value="LIT" />
      <xs:enumeration value="LNG" />
      <xs:enumeration value="LOZ" />
      <xs:enumeration value="LSO" />
      <xs:enumeration value="LTV" />
      <xs:enumeration value="LTZ" />
      <xs:enumeration value="LUE" />
      <xs:enumeration value="LUN" />
      <xs:enumeration value="LUO" />
      <xs:enumeration value="LUY" />
      <xs:enumeration value="MAG" />
      <xs:enumeration value="MAI" />
      <xs:enumeration value="MAK" />
      <xs:enumeration value="MAN" />
      <xs:enumeration value="MANA" />
      <xs:enumeration value="MANB" />
      <xs:enumeration value="MANJ" />
      <xs:enumeration value="MAO" />
      <xs:enumeration value="MAR" />
      <xs:enumeration value="MAS" />
      <xs:enumeration value="MDV" />
      <xs:enumeration value="MEN" />
      <xs:enumeration value="MKD" />
      <xs:enumeration value="MLG" />
      <xs:enumeration value="MLM" />
      <xs:enumeration value="MLT" />
      <xs:enumeration value="MLY" />
      <xs:enumeration value="MLYA" />
      <xs:enumeration value="MLYI" />
      <xs:enumeration value="MNA" />
      <xs:enumeration value="MNG" />
      <xs:enumeration value="MNX" />
      <xs:enumeration value="MOR" />
      <xs:enumeration value="MSC" />
      <xs:enumeration value="MUN" />
      <xs:enumeration value="MYA" />
      <xs:enumeration value="NAH" />
      <xs:enumeration value="NAM" />
      <xs:enumeration value="NBN" />
      <xs:enumeration value="NDB" />
      <xs:enumeration value="NDBS" />
      <xs:enumeration value="NDBZ" />
      <xs:enumeration value="NEP" />
      <xs:enumeration value="NOR" />
      <xs:enumeration value="NOT" />
      <xs:enumeration value="NUE" />
      <xs:enumeration value="NUP" />
      <xs:enumeration value="NWA" />
      <xs:enumeration value="NZM" />
      <xs:enumeration value="OAM" />
      <xs:enumeration value="OAMK" />
      <xs:enumeration value="OAMN" />
      <xs:enumeration value="OGN" />
      <xs:enumeration value="ORI" />
      <xs:enumeration value="ORM" />
      <xs:enumeration value="OTB" />
      <xs:enumeration value="OTH" />
      <xs:enumeration value="OTL" />
      <xs:enumeration value="PAG" />
      <xs:enumeration value="PAM" />
      <xs:enumeration value="PAT" />
      <xs:enumeration value="PHA" />
      <xs:enumeration value="PHR" />
      <xs:enumeration value="PNJ" />
      <xs:enumeration value="PNJA" />
      <xs:enumeration value="PNJG" />
      <xs:enumeration value="PNJM" />
      <xs:enumeration value="PNJP" />
      <xs:enumeration value="POL" />
      <xs:enumeration value="POR" />
      <xs:enumeration value="PORA" />
      <xs:enumeration value="PORB" />
      <xs:enumeration value="PRS" />
      <xs:enumeration value="PRSA" />
      <xs:enumeration value="PRSD" />
      <xs:enumeration value="PRST" />
      <xs:enumeration value="QUE" />
      <xs:enumeration value="RAJ" />
      <xs:enumeration value="REF" />
      <xs:enumeration value="RME" />
      <xs:enumeration value="RMI" />
      <xs:enumeration value="RMN" />
      <xs:enumeration value="RMNM" />
      <xs:enumeration value="RMNR" />
      <xs:enumeration value="RMS" />
      <xs:enumeration value="RNY" />
      <xs:enumeration value="RNYN" />
      <xs:enumeration value="RNYO" />
      <xs:enumeration value="RUS" />
      <xs:enumeration value="SAM" />
      <xs:enumeration value="SCB" />
      <xs:enumeration value="SCBB" />
      <xs:enumeration value="SCBC" />
      <xs:enumeration value="SCBS" />
      <xs:enumeration value="SCO" />
      <xs:enumeration value="SHL" />
      <xs:enumeration value="SHO" />
      <xs:enumeration value="SID" />
      <xs:enumeration value="SIO" />
      <xs:enumeration value="SLO" />
      <xs:enumeration value="SLV" />
      <xs:enumeration value="SND" />
      <xs:enumeration value="SNG" />
      <xs:enumeration value="SNH" />
      <xs:enumeration value="SOM" />
      <xs:enumeration value="SPA" />
      <xs:enumeration value="SRD" />
      <xs:enumeration value="SRK" />
      <xs:enumeration value="SSO" />
      <xs:enumeration value="SSOO" />
      <xs:enumeration value="SSOT" />
      <xs:enumeration value="SSW" />
      <xs:enumeration value="STS" />
      <xs:enumeration value="SUN" />
      <xs:enumeration value="SWA" />
      <xs:enumeration value="SWAA" />
      <xs:enumeration value="SWAC" />
      <xs:enumeration value="SWAK" />
      <xs:enumeration value="SWAM" />
      <xs:enumeration value="SWAT" />
      <xs:enumeration value="SWE" />
      <xs:enumeration value="TAM" />
      <xs:enumeration value="TEL" />
      <xs:enumeration value="TEM" />
      <xs:enumeration value="TES" />
      <xs:enumeration value="TGE" />
      <xs:enumeration value="TGL" />
      <xs:enumeration value="TGLF" />
      <xs:enumeration value="TGLG" />
      <xs:enumeration value="TGR" />
      <xs:enumeration value="THA" />
      <xs:enumeration value="TIB" />
      <xs:enumeration value="TIV" />
      <xs:enumeration value="TMZ" />
      <xs:enumeration value="TMZA" />
      <xs:enumeration value="TMZK" />
      <xs:enumeration value="TMZT" />
      <xs:enumeration value="TNG" />
      <xs:enumeration value="TON" />
      <xs:enumeration value="TPI" />
      <xs:enumeration value="TRI" />
      <xs:enumeration value="TSO" />
      <xs:enumeration value="TUK" />
      <xs:enumeration value="TUL" />
      <xs:enumeration value="TUM" />
      <xs:enumeration value="TUR" />
      <xs:enumeration value="UKR" />
      <xs:enumeration value="UMB" />
      <xs:enumeration value="URD" />
      <xs:enumeration value="URH" />
      <xs:enumeration value="UYG" />
      <xs:enumeration value="UZB" />
      <xs:enumeration value="VEN" />
      <xs:enumeration value="VIE" />
      <xs:enumeration value="VSY" />
      <xs:enumeration value="VSYA" />
      <xs:enumeration value="VSYH" />
      <xs:enumeration value="VSYS" />
      <xs:enumeration value="VSYW" />
      <xs:enumeration value="WAP" />
      <xs:enumeration value="WCP" />
      <xs:enumeration value="WOL" />
      <xs:enumeration value="WPE" />
      <xs:enumeration value="XHO" />
      <xs:enumeration value="YAO" />
      <xs:enumeration value="YDI" />
      <xs:enumeration value="YOR" />
      <xs:enumeration value="ZND" />
      <xs:enumeration value="ZUL" />
      <xs:enumeration value="ZZZ" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="teachernetLearningAndSkillsCouncilAreaCodeType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="BAL" />
      <xs:enumeration value="BER" />
      <xs:enumeration value="BIS" />
      <xs:enumeration value="BDP" />
      <xs:enumeration value="CAM" />
      <xs:enumeration value="CHW" />
      <xs:enumeration value="CDU" />
      <xs:enumeration value="COW" />
      <xs:enumeration value="CUM" />
      <xs:enumeration value="DER" />
      <xs:enumeration value="DEC" />
      <xs:enumeration value="ESS" />
      <xs:enumeration value="GLO" />
      <xs:enumeration value="GMA" />
      <xs:enumeration value="GME" />
      <xs:enumeration value="HIW" />
      <xs:enumeration value="HEW" />
      <xs:enumeration value="HER" />
      <xs:enumeration value="HUM" />
      <xs:enumeration value="KEM" />
      <xs:enumeration value="LAN" />
      <xs:enumeration value="LEI" />
      <xs:enumeration value="LIR" />
      <xs:enumeration value="LOC" />
      <xs:enumeration value="LOE" />
      <xs:enumeration value="LON" />
      <xs:enumeration value="LOS" />
      <xs:enumeration value="LOW" />
      <xs:enumeration value="LSC" />
      <xs:enumeration value="MOB" />
      <xs:enumeration value="NOR" />
      <xs:enumeration value="NOY" />
      <xs:enumeration value="NOA" />
      <xs:enumeration value="NOU" />
      <xs:enumeration value="NOT" />
      <xs:enumeration value="SHR" />
      <xs:enumeration value="SOM" />
      <xs:enumeration value="SOY" />
      <xs:enumeration value="STA" />
      <xs:enumeration value="SUF" />
      <xs:enumeration value="SUR" />
      <xs:enumeration value="SUS" />
      <xs:enumeration value="TEV" />
      <xs:enumeration value="TBC" />
      <xs:enumeration value="TYW" />
      <xs:enumeration value="WEE" />
      <xs:enumeration value="WEY" />
      <xs:enumeration value="WIS" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="teachernetNationStatesAndCountriesType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="AFG" />
      <xs:enumeration value="ALA" />
      <xs:enumeration value="ALB" />
      <xs:enumeration value="DZA" />
      <xs:enumeration value="ASM" />
      <xs:enumeration value="AND" />
      <xs:enumeration value="AGO" />
      <xs:enumeration value="AIA" />
      <xs:enumeration value="ATA" />
      <xs:enumeration value="ATG" />
      <xs:enumeration value="ARG" />
      <xs:enumeration value="ARM" />
      <xs:enumeration value="ABW" />
      <xs:enumeration value="AUS" />
      <xs:enumeration value="AUT" />
      <xs:enumeration value="AZE" />
      <xs:enumeration value="BHS" />
      <xs:enumeration value="BHR" />
      <xs:enumeration value="BGD" />
      <xs:enumeration value="BRB" />
      <xs:enumeration value="BLR" />
      <xs:enumeration value="BEL" />
      <xs:enumeration value="BLZ" />
      <xs:enumeration value="BEN" />
      <xs:enumeration value="BMU" />
      <xs:enumeration value="BTN" />
      <xs:enumeration value="BOL" />
      <xs:enumeration value="BIH" />
      <xs:enumeration value="BWA" />
      <xs:enumeration value="BVT" />
      <xs:enumeration value="BRA" />
      <xs:enumeration value="ATB" />
      <xs:enumeration value="IOT" />
      <xs:enumeration value="BRN" />
      <xs:enumeration value="BGR" />
      <xs:enumeration value="BFA" />
      <xs:enumeration value="BUR" />
      <xs:enumeration value="BDI" />
      <xs:enumeration value="BYS" />
      <xs:enumeration value="KHM" />
      <xs:enumeration value="CMR" />
      <xs:enumeration value="CAN" />
      <xs:enumeration value="CTE" />
      <xs:enumeration value="CPV" />
      <xs:enumeration value="CYM" />
      <xs:enumeration value="CAF" />
      <xs:enumeration value="TCD" />
      <xs:enumeration value="CHL" />
      <xs:enumeration value="CHN" />
      <xs:enumeration value="CXR" />
      <xs:enumeration value="CCK" />
      <xs:enumeration value="COL" />
      <xs:enumeration value="COM" />
      <xs:enumeration value="COG" />
      <xs:enumeration value="COD" />
      <xs:enumeration value="COK" />
      <xs:enumeration value="CRI" />
      <xs:enumeration value="HRV" />
      <xs:enumeration value="CUB" />
      <xs:enumeration value="CYP" />
      <xs:enumeration value="CZE" />
      <xs:enumeration value="CSK" />
      <xs:enumeration value="DHY" />
      <xs:enumeration value="YMD" />
      <xs:enumeration value="DNK" />
      <xs:enumeration value="DJI" />
      <xs:enumeration value="DMA" />
      <xs:enumeration value="DOM" />
      <xs:enumeration value="ATN" />
      <xs:enumeration value="TMP" />
      <xs:enumeration value="ECU" />
      <xs:enumeration value="EGY" />
      <xs:enumeration value="SLV" />
      <xs:enumeration value="GNQ" />
      <xs:enumeration value="ERI" />
      <xs:enumeration value="EST" />
      <xs:enumeration value="ETH" />
      <xs:enumeration value="ETH" />
      <xs:enumeration value="FLK" />
      <xs:enumeration value="FRO" />
      <xs:enumeration value="DEU" />
      <xs:enumeration value="FJI" />
      <xs:enumeration value="FIN" />
      <xs:enumeration value="FIN" />
      <xs:enumeration value="FRA" />
      <xs:enumeration value="GUF" />
      <xs:enumeration value="PYF" />
      <xs:enumeration value="ATF" />
      <xs:enumeration value="AFI" />
      <xs:enumeration value="GAB" />
      <xs:enumeration value="GMB" />
      <xs:enumeration value="GEO" />
      <xs:enumeration value="DDR" />
      <xs:enumeration value="DEU" />
      <xs:enumeration value="GHA" />
      <xs:enumeration value="GIB" />
      <xs:enumeration value="GEL" />
      <xs:enumeration value="GEL" />
      <xs:enumeration value="GRC" />
      <xs:enumeration value="GRL" />
      <xs:enumeration value="GRD" />
      <xs:enumeration value="GLP" />
      <xs:enumeration value="GUM" />
      <xs:enumeration value="GTM" />
      <xs:enumeration value="GGY" />
      <xs:enumeration value="GIN" />
      <xs:enumeration value="GNB" />
      <xs:enumeration value="GUY" />
      <xs:enumeration value="HTI" />
      <xs:enumeration value="HMD" />
      <xs:enumeration value="VAT" />
      <xs:enumeration value="HND" />
      <xs:enumeration value="HKG" />
      <xs:enumeration value="HUN" />
      <xs:enumeration value="ISL" />
      <xs:enumeration value="IND" />
      <xs:enumeration value="IDN" />
      <xs:enumeration value="IRN" />
      <xs:enumeration value="IRQ" />
      <xs:enumeration value="IRL" />
      <xs:enumeration value="IMN" />
      <xs:enumeration value="ISR" />
      <xs:enumeration value="ITA" />
      <xs:enumeration value="CIV" />
      <xs:enumeration value="JAM" />
      <xs:enumeration value="JPN" />
      <xs:enumeration value="JEY" />
      <xs:enumeration value="JTN" />
      <xs:enumeration value="JOR" />
      <xs:enumeration value="KHM" />
      <xs:enumeration value="KAZ" />
      <xs:enumeration value="KEN" />
      <xs:enumeration value="KIR" />
      <xs:enumeration value="PRK" />
      <xs:enumeration value="KOR" />
      <xs:enumeration value="KWT" />
      <xs:enumeration value="KGZ" />
      <xs:enumeration value="LAO" />
      <xs:enumeration value="LVA" />
      <xs:enumeration value="LBN" />
      <xs:enumeration value="LSO" />
      <xs:enumeration value="LBR" />
      <xs:enumeration value="LBY" />
      <xs:enumeration value="LIE" />
      <xs:enumeration value="LTU" />
      <xs:enumeration value="LUX" />
      <xs:enumeration value="MAC" />
      <xs:enumeration value="MKD" />
      <xs:enumeration value="MDG" />
      <xs:enumeration value="MWI" />
      <xs:enumeration value="MYS" />
      <xs:enumeration value="MDV" />
      <xs:enumeration value="MLI" />
      <xs:enumeration value="MLT" />
      <xs:enumeration value="MHL" />
      <xs:enumeration value="MTQ" />
      <xs:enumeration value="MRT" />
      <xs:enumeration value="MUS" />
      <xs:enumeration value="MYT" />
      <xs:enumeration value="MEX" />
      <xs:enumeration value="FSM" />
      <xs:enumeration value="MID" />
      <xs:enumeration value="MDA" />
      <xs:enumeration value="MCO" />
      <xs:enumeration value="MNG" />
      <xs:enumeration value="MNE" />
      <xs:enumeration value="MSR" />
      <xs:enumeration value="MAR" />
      <xs:enumeration value="MOZ" />
      <xs:enumeration value="MMR" />
      <xs:enumeration value="NAM" />
      <xs:enumeration value="NRU" />
      <xs:enumeration value="NPL" />
      <xs:enumeration value="NLD" />
      <xs:enumeration value="ANT" />
      <xs:enumeration value="ANT" />
      <xs:enumeration value="NCL" />
      <xs:enumeration value="NHB" />
      <xs:enumeration value="NZL" />
      <xs:enumeration value="NIC" />
      <xs:enumeration value="NER" />
      <xs:enumeration value="NGA" />
      <xs:enumeration value="NIU" />
      <xs:enumeration value="NFK" />
      <xs:enumeration value="MNP" />
      <xs:enumeration value="NOR" />
      <xs:enumeration value="OMN" />
      <xs:enumeration value="PAK" />
      <xs:enumeration value="PLW" />
      <xs:enumeration value="PSE" />
      <xs:enumeration value="PAN" />
      <xs:enumeration value="PCZ" />
      <xs:enumeration value="PNG" />
      <xs:enumeration value="PRY" />
      <xs:enumeration value="PER" />
      <xs:enumeration value="PHL" />
      <xs:enumeration value="PCN" />
      <xs:enumeration value="POL" />
      <xs:enumeration value="PRT" />
      <xs:enumeration value="PRI" />
      <xs:enumeration value="QAT" />
      <xs:enumeration value="REU" />
      <xs:enumeration value="ROU" />
      <xs:enumeration value="RUS" />
      <xs:enumeration value="RWA" />
      <xs:enumeration value="SHN" />
      <xs:enumeration value="KNA" />
      <xs:enumeration value="KNA" />
      <xs:enumeration value="LCA" />
      <xs:enumeration value="SPM" />
      <xs:enumeration value="VCT" />
      <xs:enumeration value="WSM" />
      <xs:enumeration value="SMR" />
      <xs:enumeration value="STP" />
      <xs:enumeration value="SAU" />
      <xs:enumeration value="SEN" />
      <xs:enumeration value="SRB" />
      <xs:enumeration value="SCG" />
      <xs:enumeration value="SYC" />
      <xs:enumeration value="SLE" />
      <xs:enumeration value="SKM" />
      <xs:enumeration value="SGP" />
      <xs:enumeration value="SVK" />
      <xs:enumeration value="SVN" />
      <xs:enumeration value="SLB" />
      <xs:enumeration value="SOM" />
      <xs:enumeration value="ZAF" />
      <xs:enumeration value="SGS" />
      <xs:enumeration value="VDR" />
      <xs:enumeration value="RHO" />
      <xs:enumeration value="ESP" />
      <xs:enumeration value="ESH" />
      <xs:enumeration value="LKA" />
      <xs:enumeration value="SDN" />
      <xs:enumeration value="SUR" />
      <xs:enumeration value="SJM" />
      <xs:enumeration value="SWZ" />
      <xs:enumeration value="SWE" />
      <xs:enumeration value="CHE" />
      <xs:enumeration value="SYR" />
      <xs:enumeration value="TWN" />
      <xs:enumeration value="TJK" />
      <xs:enumeration value="TZA" />
      <xs:enumeration value="THA" />
      <xs:enumeration value="TLS" />
      <xs:enumeration value="TGO" />
      <xs:enumeration value="TKL" />
      <xs:enumeration value="TON" />
      <xs:enumeration value="TTO" />
      <xs:enumeration value="PCI" />
      <xs:enumeration value="TUN" />
      <xs:enumeration value="TUR" />
      <xs:enumeration value="TKM" />
      <xs:enumeration value="TCA" />
      <xs:enumeration value="TUV" />
      <xs:enumeration value="UGA" />
      <xs:enumeration value="UKR" />
      <xs:enumeration value="UKR" />
      <xs:enumeration value="SUN" />
      <xs:enumeration value="ARE" />
      <xs:enumeration value="GBR" />
      <xs:enumeration value="USA" />
      <xs:enumeration value="UMI" />
      <xs:enumeration value="PUS" />
      <xs:enumeration value="HVO" />
      <xs:enumeration value="URY" />
      <xs:enumeration value="UZB" />
      <xs:enumeration value="VUT" />
      <xs:enumeration value="VAT" />
      <xs:enumeration value="VEN" />
      <xs:enumeration value="VNM" />
      <xs:enumeration value="VGB" />
      <xs:enumeration value="VIR" />
      <xs:enumeration value="WAK" />
      <xs:enumeration value="WLF" />
      <xs:enumeration value="ESH" />
      <xs:enumeration value="YEM" />
      <xs:enumeration value="YEM" />
      <xs:enumeration value="YUG" />
      <xs:enumeration value="ZAR" />
      <xs:enumeration value="ZMB" />
      <xs:enumeration value="ZWE" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="teachernetRomanCatholicDioceseType">
    <xs:restriction base="xs:token">
      <xs:enumeration value="AAB" />
      <xs:enumeration value="BIR" />
      <xs:enumeration value="BRE" />
      <xs:enumeration value="CAR" />
      <xs:enumeration value="CLI" />
      <xs:enumeration value="EAS" />
      <xs:enumeration value="HAL" />
      <xs:enumeration value="HAN" />
      <xs:enumeration value="LAN" />
      <xs:enumeration value="LEE" />
      <xs:enumeration value="LIV" />
      <xs:enumeration value="MEN" />
      <xs:enumeration value="MID" />
      <xs:enumeration value="NOR" />
      <xs:enumeration value="NOT" />
      <xs:enumeration value="PLY" />
      <xs:enumeration value="POR" />
      <xs:enumeration value="SAL" />
      <xs:enumeration value="SHR" />
      <xs:enumeration value="SOU" />
      <xs:enumeration value="WES" />
      <xs:enumeration value="WRE" />
    </xs:restriction>
  </xs:simpleType>
</xs:schema>